#
# spec file for package pmtools (Version 20050823)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pmtools
Url:            http://www.intel.com/technology/iapc/acpi/downloads.htm
Version:        20050823
Release:        23.12.21
%define acpica acpica-unix-20060127
License:        GPL v2 or later
Group:          Development/Tools/Other
AutoReqProv:    on
Summary:        ACPI Debugging Tools
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.diff
Patch1:         acpica-resource_string_warning.diff
Patch2:         acpica-override-CFLAGS.diff
Patch3:         acpiexec_acpi_rev2_64_bit.patch
Patch4:         pmtools-override-CFLAGS.diff
Patch5:         pmtools-move-includes.diff
Patch6:         madt.diff
Patch7:         iasl_invalid_output_file.patch
Patch8:         fix_IO_nameclash.patch
Source2:        dmidecode-2.9.tar.bz2
Patch20:        dmidecode-more-processor-names.patch
Patch21:        dmidecode-more-socket-names.patch
Patch22:        dmidecode-more-slot-types.patch
Patch23:        dmidecode-more-memory-types.patch
Patch24:        dmidecode-large-memory.patch
Patch25:        dmidecode-more-chassis-types.patch
Patch26:        dmidecode-random-fixes.patch
Patch27:        dmidecode-memory-clock-speed.patch
Source3:        %{acpica}.tar.gz
Source4:        iasl-linux-20030918.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a set of tools to display your BIOS ACPI tables.



%prep
%setup
%patch -p1
%setup -n %{name}-%{version} -D -T -a 2
pwd
pushd dmidecode-2.9
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
popd
# mkdir acpica-unix
# %setup -n %{name}-%{version}/acpica-unix -D -T -a 3
%setup -D -T -a 3
pwd
pushd %{acpica}
%patch1
%patch2 -p1
%patch3 -p1
%patch7 -p1
%patch8 -p1
popd
%setup -n %{name}-%{version} -D -T
%patch4 -p1
%patch5 -p1
%patch6 -p1
%setup -D -T -a 4

%build
make all CFLAGS="$RPM_OPT_FLAGS"
make -C dmidecode* CFLAGS="$RPM_OPT_FLAGS"
make -C %{acpica}/compiler CFLAGS="$RPM_OPT_FLAGS"
make -C %{acpica}/tools/acpisrc CFLAGS="$RPM_OPT_FLAGS"
# this needs total recompilation with other flags
cp %{acpica}/compiler/iasl %{acpica}
make clean -C %{acpica}/compiler CFLAGS="$RPM_OPT_FLAGS"
make -C %{acpica}/tools/acpiexec CFLAGS="$RPM_OPT_FLAGS"
make -C madt CFLAGS="$RPM_OPT_FLAGS"

%install
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot}
install -dm 755 %{buildroot}/usr/sbin
install -dm 755 %{buildroot}/usr/bin
# still provide the old acpidmp from 200312xx
install -m  755 acpidmp/acpidmp %{buildroot}/usr/sbin
install -m  755 acpidump/acpidump %{buildroot}/usr/sbin
install -m  755 acpidump/acpi{tbl,xtract} %{buildroot}/usr/bin
install -dm 755 %{buildroot}/%{_mandir}/man8
%ifarch ia64
for i in dmidecode ; do
%else
for i in dmidecode vpddecode ownership biosdecode ; do
%endif
install -Dm 755 dmidecode*/$i %{buildroot}/usr/sbin/
install -Dm 644 dmidecode*/man/$i.8 %{buildroot}/%{_mandir}/man8/
done
install -Dm 755 %{acpica}/iasl %{buildroot}/usr/bin/iasl
install -Dm 755 %{acpica}/tools/acpisrc/acpisrc %{buildroot}/usr/sbin/acpisrc
install -Dm 755 %{acpica}/tools/acpiexec/acpiexec %{buildroot}/usr/bin/acpiexec
install -Dm 755 madt/madt %{buildroot}/usr/sbin
install -Dm 644 README %{buildroot}/%{_docdir}/%{name}/README
install -Dm 644 madt/README %{buildroot}/%{_docdir}/%{name}/README.madt
install -Dm 644 iasl-linux-*/AslCompiler.pdf %{buildroot}/%{_docdir}/%{name}/AslCompiler.pdf

%files
%defattr(-,root,root)
/usr/sbin/*
/usr/bin/*
%doc %{_docdir}/%{name}
/%{_mandir}/man8/*

%changelog
* Fri Dec 17 2010 jdelvare@suse.de
- dmidecode-memory-clock-speed.patch: Display the configured clock
  speed of memory modules if available (FATE#310685, bnc#660188)
* Thu Nov 25 2010 jdelvare@suse.de
- acpica-resource_string_warning.diff: Refresh to clear fuzz
* Thu Nov 25 2010 jdelvare@suse.de
- dmidecode-more-processor-names.patch: Add processor family names
  from SMBIOS 2.7 (FATE#310685)
- dmidecode-more-socket-names.patch: Add processor upgrades (socket
  formats) from SMBIOS 2.7 (FATE#310685)
- dmidecode-more-slot-types.patch: Add slot types from SMBIOS 2.7
  (FATE#310685)
- dmidecode-more-memory-types.patch: Add memory types from SMBIOS
  2.7 (FATE#310685)
- dmidecode-large-memory.patch: Add support for memory modules of
  32 GB and more; add support for memory arrays of 2 TB and more
  (FATE#310685)
- dmidecode-more-chassis-types.patch: Add chassis types from
  SMBIOS 2.7 (FATE#310685)
- dmidecode-random-fixes.patch: Misc small fixes from upstream
* Thu Apr 30 2009 jdelvare@suse.de
- update dmidecode to version 2.9 (bnc#498017)
* Tue May 16 2006 trenn@suse.de
- avoid IO keyword nameclash when used as Field declaration
- exit gracefully if dsdt.dsl file cannot be created (#152112)
* Mon Feb 13 2006 trenn@suse.de
- avoid dmidecode to do unaligned accesses on IA64
* Thu Feb  9 2006 trenn@suse.de
- make acpiexec use ACPI Rev2 tables and 64-bit safe
* Thu Feb  2 2006 trenn@suse.de
- updated acpica-unix to version 20060127
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 ak@suse.de
- include vpddecode, biosdecode, ownership tools in rpm.
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Wed Nov  2 2005 trenn@suse.de
- update acpica-unix to version 20050930
- move executables that do not need root rights necessarily to
  /usr/bin
* Wed Oct 19 2005 dkukawka@suse.de
- updated dmidecode to new version 2.7
* Wed Sep 28 2005 meissner@suse.de
- also compile madt.c with optflags.
* Thu Sep 22 2005 trenn@suse.de
- make pmtools gcc 4.1 safe:
  - added -fno-strict-aliasing in acpica CFLAGS
  - add override keyword to all CFLAGS initialisations in all Makefiles
  - moved #include(s) some lines up
* Thu Sep  8 2005 trenn@suse.de
- updated acpica to version 20050902 (was not available sooner)
* Fri Sep  2 2005 trenn@suse.de
- updated pmtools to version 20050823
- updated acpica to version 20050624
- still provide old acpidmp tool from 20050309
  as this is probably more stable as the new acpidump
* Fri Mar 18 2005 trenn@suse.de
- updated acpica tools (iasl compiler) to 20050309
* Sat Mar  5 2005 trenn@suse.de
- updated dmidecode to version 2.6
- updated pmtools to version 20031219
* Wed Mar  2 2005 trenn@suse.de
- update acpica tools (iasl compiler) to 20050211
* Sun Feb  6 2005 trenn@suse.de
- updated iasl compiler to version: 20041203
* Thu Jul  1 2004 zoz@suse.de
- updated dmidecode to 2.4 (Bug 42498)
  added manpage for dmidecode
* Wed Feb 25 2004 trenn@suse.de
- updated iasl again.
- Deleted iasl binary from iasl...tar.gz, that was confusing because the used binary is the compiled one from acpica...tar.gz.
* Wed Jan 21 2004 trenn@suse.de
- - update iasl to 20030919
* Tue Jul 15 2003 zoz@suse.de
- updated acpica to 20031619
- fixed patch for acpica-unix-20030619/compiler/aslcompiler.y
- merged acpica-unix-compile-fixes.dif into acpica-unix-20030619.dif
* Fri Mar  7 2003 aj@suse.de
- Fix 64-bit problems.
* Mon Feb 17 2003 zoz@suse.de
- added dmidecode from
  ftp://ftp.uk.linux.org/pub/linux/alan/Software/System/DMI/
- added iasl and acpisrc from
  http://www.intel.com/technology/iapc/acpi/downloads/acpica-unix-20030123.tar.gz
* Sat Feb  8 2003 zoz@suse.de
- initial package: version 20010730
- don't build pmtest
